<?php
/*
 * content/LoadConfig.class.php
 * 
 * CopyRight(C) 2010 Shopformer Development Team. All Right Reserved
 * URL: http://sourceforge.jp/projects/shopformer/
 * 
 * 
 * Mail: m_nakashima@users.sourceforge.jp
 * Auther: Masanori Nakashima
 * Last Update: 2010-06-18
 */
require_once( dirname(dirname(__FILE__))
	.DIRECTORY_SEPARATOR.'system'
	.DIRECTORY_SEPARATOR.'login'
	.DIRECTORY_SEPARATOR.'ModuleBase.class.php');
require_once( dirname(__FILE__)
	.DIRECTORY_SEPARATOR.'PackageConfig.class.php');
require_once( dirname(__FILE__)
	.DIRECTORY_SEPARATOR.'package_define.inc.php');
class content_LoadConfig extends system_login_ModuleBase {
	function content_LoadConfig() {
	}
	function execute( & $request ) {
		$contentDefFilePath	= DIR_PATH_DATA.DIRECTORY_SEPARATOR.'content.define.inc.php';
		$isSetup	= false;
		if( file_exists($contentDefFilePath) ) {
			$isSetup	= true;
			require_once($contentDefFilePath);
		}
		$request->setAttribute('content.is_setup',	$isSetup);
	}
}
?>